<?php

/**
 * Handles the database related functionality
 * 
 * This is the class which contains the queries to products reviews.
 * 
 * @since 1.0.0
 */
class db_handler {

    function __construct() {
        
    }

    public function getOrderData($order_id) {
        global $db;

        $order_data = array();

        $orderSql = "SELECT * FROM " . TABLE_ORDERS . " WHERE orders_id =$order_id";

        $order = $db->Execute($orderSql);


        if ($order->RecordCount() > 0) {
            $order_data = $order->fields;


            $productsSql = "SELECT * FROM " . TABLE_ORDERS_PRODUCTS . ' as op';
            $productsSql .= ' JOIN ' . TABLE_PRODUCTS . ' as p ON (p.products_id = op.products_id)';
            $productsSql .= " WHERE op.orders_id =$order_id";

            $products = $db->Execute($productsSql);

            $orderProducts = array();

            $store_shop_id = $order_data['shop_id'];

            if ($products->RecordCount() > 0) {
                while (!$products->EOF) {

                    $pdSql = "SELECT language_code, products_keywords, products_url, products_store_id FROM " . TABLE_PRODUCTS_DESCRIPTION . " WHERE products_id =" . $products->fields['products_id'];

                    $product = $products->fields;
                    $pd = $db->Execute($pdSql);

                    if ($pd->RecordCount() > 0) {
                        $product['description'] = $pd->fields;
                    }
                    $orderProducts[] = $product;
                    $products->MoveNext();
                }
            }

            $order_data['orderProducts'] = $orderProducts;

            $storeSql = "SELECT *  FROM " . TABLE_MANDANT_CONFIG . ' where shop_id =' . $store_shop_id;

            $store = $db->Execute($storeSql);
            if ($store->RecordCount() > 0) {
                $order_data['storeData'] = $store->fields;
            }
        }
        return $order_data;
    }

}
